adinstbpm - Task #23738
Milestone # 23736 (Closed): IOTA ACNET Interface Change Requests Dec 2019

Change behavior of BPM TBT devices when readout is in progress
12/09/2019 02:36 PM - John Diamond

Status:
Closed
Robert Santucci

Start date:
Description

Currently we return a timeout error if a readout is in progress when ACNET attempts to read a TBT reading. If a readout is in

progress then we should provide the next available reading.

(Note that this could result in a scan of BPM devices returning data from different machine pulses if the ACNET reading is done
asynchronously. Users should be advised to collect data on an event if possible)

History

#1 - 12/09/2019 02:51 PM - John Diamond

- Assignee set to Robert Santucci

#2 - 03/13/2020 08:28 AM - Robert Santucci

data will be reported to acnet from most recent or previous reading, users can correlate the index value to insure data is from the same reading

#3 - 03/13/2020 08:28 AM - Robert Santucci

- % Done changed from 0 to 100

- Status changed from New to Closed

04/15/2021
